#portal {
    & .modal-wrap {
        position: fixed;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        background-color: rgba(95, 94, 94, 0.6);
        z-index: 10000;
        display: flex;
        justify-content: center;
        align-items: center
    }

    & .modal {
        margin-left: 4px;
        margin-right: 4px;
        position: relative;
        animation-duration: 0.4s;
        animation-name: modal-animation;

        @keyframes modal-animation {
            0% {
                transform: translateY(+50%);
            }

            100% {
                transform: translateY(0%);
            }
        }
    }

    & .modal-header-wrap {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 10px;
        position: relative;

        .modal-header-title {
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            width: 100%;
            max-width: 600px;
        }

        &::after {
            content: '';
            position: absolute;
            bottom: 0;
            left: 0;
            width: 100%;
            height: 2px;
            background-color: #e9e9e9;
        }
    }

    & .modal-btn-close {
        background-color: unset;
        border: unset;
        cursor: pointer;


        svg:hover {
            fill: #000000;
        }
    }

    & .modal-content {
        padding: 10px;
        width: 100%;
    }
}